Skip to main content
`Ctrl`+`K`

# PEPMonitorFirst

Print the first unconverged approximate value and error estimate at each iteration of the polynomial eigensolver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPMonitorFirst(PEP pep,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs so far

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - error estimates

- nest - number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -pep_monitor - activates `PEPMonitorFirst()`

## Note

This is not called directly by users, rather one calls `PEPMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `PEP` solve.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPMonitorSet()`, `PEPMonitorAll()`, `PEPMonitorConverged()`

## Level

intermediate

## Location

src/pep/interface/pepmon.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages